SQLITE3_CLEAR_BINDINGS(3) | Library Functions Manual | SQLITE3_CLEAR_BINDINGS(3)

# NAME

`sqlite3_clear_bindings` —
Reset All Bindings On A Prepared Statement

# SYNOPSIS

int
`sqlite3_clear_bindings`(sqlite3_stmt*);

# DESCRIPTION

Contrary to the intuition of many, sqlite3_reset() does not reset the bindings on a prepared statement. Use this routine to reset all host parameters to NULL.

# SEE ALSO

sqlite3_stmt(3), sqlite3_bind_blob(3), sqlite3_reset(3)

December 19, 2018 | NetBSD 9.0